#
# spec file for package update-bootloader-rpm-macros
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%if %{undefined _rpmmacrodir}
  %define _rpmmacrodir %{_sysconfdir}/rpm
%endif

Name:           update-bootloader-rpm-macros
VCS: https://src.suse.de/SLFO-pool/update-bootloader-rpm-macros#a79aed3af56b05ffab388a3b2a86aa96364beaa6fd71b532fa429869a81c4570
Version:        0
Release:        160000.1.5
Summary:        RPM macros for update-bootloader
License:        GPL-3.0-or-later
Group:          Development/Tools/Building
URL:            https://en.opensuse.org/openSUSE:Update_Bootloader_RPM_Macros
Source0:        macros.update-bootloader
BuildArch:      noarch

%description
This package provides rpm macros for bootloader update in rpm scripts

%prep

%build

%install
mkdir -p %{buildroot}%{_rpmmacrodir}
install -m644 %{SOURCE0} %{buildroot}%{_rpmmacrodir}

%files
%{_rpmmacrodir}/macros.update-bootloader

%changelog
* Mon Aug 15 2022 dmueller@suse.com
- avoid bashisms in update-bootloader scriptlets (bsc#1195391)
* Tue Jul 13 2021 mchang@suse.com
- Use grub2-instdev-fixup.pl if available for correting
  /etc/default/grub_installdevice to use disk device if grub has been
  installed on it
* Tue Jun 29 2021 olaf@aepfle.de
- Make sure _rpmmacrodir is defined to restore compatibility with SLE12
* Thu Jun 24 2021 lnussel@suse.de
- make perl-Bootloader optional. This avoids to pull in perl in
  small systems that do not necessarily use perl-Bootloader
* Fri May 10 2019 dimstar@opensuse.org
- Move RPM macros to %%_rpmmacrodir.
* Thu Jan 19 2017 jengelh@inai.de
- RPM group fixup
* Wed Dec 28 2016 mchang@suse.com
- New package with rpm macros to support bootloader update in %%posttrans to
  improve the efficiency. (bsc#997317)
